/****************************************************************************************
 * Obsługa USART1 bez użycia przerwań                                                   *
 * Zadanie Z002 do kursu                                                                *
 * USART1 w nowszych wersjach stm32f429I-Discovery podpięty jest do zintegrowanego      *
 * programatora. W systemie po podpięciu płytki,powinien być widziany dodatkowy         *
 * port szeregowy. Programem terminalowym np. PUTTY możemy się podpiąć do wirtualnego   *
 * portu COM (/dev/ttyACM[0-9] w linuksie) i będziemy mogli komunikować się z naszym    *
 * przykładem                                                                           *
 * autor: sq8mvy Paweł                                                                  *
 ***************************************************************************************/
#ifndef  __USART1_H
#define __USART1_H

#define bufor_size_rx 128                           //definiujemy wielkość bufora wejściowego dla USART


char usart_bufor_rx[bufor_size_rx];                 //bufor na dane wejściowe z portu szeregowego o długoœci ustawionej
                                                    // w bufor_size_rz. Przechowuje wartości przychodzące portem szeregowym.
                                                    //dane w buforze są typu char - czyli tekstowe


void usart1_Init(uint32_t bautrate);                //Deklaracja funkcji inicjującej USART1
void usart1_putc(char znak);                        //Deklaracja funkcji wysyłającej jeden znak portem szeregowym
void usart1_puts(const char * tekst);               //Deklaracja funkcji wysyłającej cały string portem szeregowym
char usart1_getc(void);                             //Deklaracja funkcji odbierającej znak przychodzący portem szeregowym
void usart1_gets(void);                             //Deklaracja funkcji odbierającej cały string przychodzący portem szeregowym


#endif
